package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.memcached.MemCacheManager;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/SaveOpDataToMemcacheAction.class */
public class SaveOpDataToMemcacheAction extends LifeAction {
    public String execute(Context context) throws GENEException {
        KeyedCollection kColl = (KeyedCollection) context.getAttribute("flowOpKcollId");
        if (kColl != null) {
            Set<String> key = kColl.keySet();
            Map inputMap = new HashMap();
            for (String inputName : key) {
                inputMap.put(inputName, context.getDataElement(inputName));
            }
            new MemCacheManager().saveOrupdate("flowOpKcollId", inputMap);
            return "0";
        }
        Trace.logWarning("LifeAction", "got no any element in SaveOpDataToMemcacheAction");
        return "0";
    }
}
